Skip to main content
PATCH
Update Catalog Item

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

item_id
string<uuid>
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Body

application/json
description
string | null
external_id
string | null
Required string length: 1 - 500
name
string | null
Required string length: 1 - 255
spec
Spec · object | null
tags
string[] | null
version
string | null
Maximum string length: 100

Response

Successful Response

created_at
string<date-time>
required
description
string | null
required
external_id
string
required
id
string<uuid>
required
installed_entity_id
string<uuid> | null
required
installed_version
string | null
required
name
string
required
registry_id
string<uuid>
required
spec
Spec · object
required
tags
string[]
required
update_available
boolean
required
updated_at
string<date-time>
required
version
string | null
required
category
string | null
hosting
string | null
workspace_connections
CatalogConnection · object[] | null
Last modified on October 12, 2026